org.springframework.context.access

## Class DefaultLocatorFactory

- java.lang.Object
- - org.springframework.context.access.DefaultLocatorFactory

    public class DefaultLocatorFactory
    extends Object

A factory class to get a default ContextSingletonBeanFactoryLocator instance.

Author:
  Colin Sampaleanu
See Also:
  `ContextSingletonBeanFactoryLocator`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLocatorFactory()`

### Method Summary

Methods
`static BeanFactoryLocator` `getInstance()` Return an instance object implementing BeanFactoryLocator.
`static BeanFactoryLocator` `getInstance(String selector)` Return an instance object implementing BeanFactoryLocator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLocatorFactory

    public DefaultLocatorFactory()

### Method Detail

#### getInstance

    public static BeanFactoryLocator getInstance()
                                          throws FatalBeanException

Return an instance object implementing BeanFactoryLocator. This will normally be a singleton instance of the specific ContextSingletonBeanFactoryLocator class, using the default resource selector.

Throws:
  `FatalBeanException`

#### getInstance

    public static BeanFactoryLocator getInstance(String selector)
                                          throws FatalBeanException

Return an instance object implementing BeanFactoryLocator. This will normally be a singleton instance of the specific ContextSingletonBeanFactoryLocator class, using the specified resource selector.

Parameters:
  `selector` - a selector variable which provides a hint to the factory as to which instance to return.
Throws:
  `FatalBeanException`